;;; ucw-cz.el --- Czech and Slovak Language Support for Emacs
;;; (c) 1997 Martin Mares <mj@atrey.karlin.mff.cuni.cz>

;; (keyboard-translate ?\C-h ?\C-?)

(set-input-mode nil nil 0 ?\C-g)

(require 'disp-table)
(standard-display-8bit 160 255)

;;; Syntax table code by Ladislav Lhotka <lada@entu.cas.cz>

(let ((downcase (concat (car (standard-case-table)))))
  (set-case-syntax 160 " " downcase)	; NBSP (no-break space)
  (set-case-syntax-pair 161 177 downcase)   ; A with ogonek
  (set-case-syntax 162 "w" downcase)	; breve accent
  (set-case-syntax-pair 163 179 downcase)   ; L with stroke
  (set-case-syntax 164 "w" downcase)	; general currency sign
  (set-case-syntax-pair 165 181 downcase)   ; L with caron accent
  (set-case-syntax-pair 166 182 downcase)   ; S with acute accent
  (set-case-syntax 167 "w" downcase)	; paragraph sign
  (set-case-syntax 168 "w" downcase)	; diaeresis
  (set-case-syntax-pair 169 185 downcase)   ; S with caron accent
  (set-case-syntax-pair 170 186 downcase)   ; S with cedilla
  (set-case-syntax-pair 171 187 downcase)   ; T with caron accent
  (set-case-syntax-pair 172 188 downcase)   ; Z with acute accent
  (set-case-syntax 173 "_" downcase)	; soft hyphen
  (set-case-syntax-pair 174 190 downcase)   ; Z with caron accent
  (set-case-syntax-pair 175 191 downcase)   ; Z with dot above
  (set-case-syntax 176 "_" downcase)	; degree sign
  ;;    	       	      177       ; See 161 above.
  (set-case-syntax 178 "w" downcase)	; ogonek
  ;;    	       	      179       ; See 163 above.
  (set-case-syntax 180 "w" downcase)	; acute accent
  ;;    	       	      181       ; See 165 above.
  ;;    	       	      182       ; See 166 above.
  (set-case-syntax 183 "w" downcase)	; caron
  (set-case-syntax 184 "w" downcase)	; cedilla
  ;;    	       	      185       ; See 169 above.
  ;;    	       	      186       ; See 170 above.
  ;;    	       	      187       ; See 171 above.
  ;;    	       	      188       ; See 172 above.
  (set-case-syntax 189 "w" downcase)	; double acute accent
  ;;    	       	      190       ; See 174 above.
  ;;    	       	      191       ; See 175 above.
  (set-case-syntax-pair 192 224 downcase) ; R with acute accent
  (set-case-syntax-pair 193 225 downcase) ; A with acute accent
  (set-case-syntax-pair 194 226 downcase) ; A with circumflex accent
  (set-case-syntax-pair 195 227 downcase) ; A with breve
  (set-case-syntax-pair 196 228 downcase) ; A with diaeresis
  (set-case-syntax-pair 197 229 downcase) ; L with acute accent
  (set-case-syntax-pair 198 230 downcase) ; C with acute accent
  (set-case-syntax-pair 199 231 downcase) ; C with cedilla
  (set-case-syntax-pair 200 232 downcase) ; C with caron accent
  (set-case-syntax-pair 201 233 downcase) ; E with acute accent
  (set-case-syntax-pair 202 234 downcase) ; E with ogonek
  (set-case-syntax-pair 203 235 downcase) ; E with diaeresis
  (set-case-syntax-pair 204 236 downcase) ; E with caron accent
  (set-case-syntax-pair 205 237 downcase) ; I with acute accent
  (set-case-syntax-pair 206 238 downcase) ; I with circumflex accent
  (set-case-syntax-pair 207 239 downcase) ; D with caron accent
  (set-case-syntax-pair 208 240 downcase) ; D with stroke
  (set-case-syntax-pair 209 241 downcase) ; N with acute accent
  (set-case-syntax-pair 210 242 downcase) ; N with caron accent
  (set-case-syntax-pair 211 243 downcase) ; O with acute accent
  (set-case-syntax-pair 212 244 downcase) ; O with circumflex accent
  (set-case-syntax-pair 213 245 downcase) ; O with double acute accent
  (set-case-syntax-pair 214 246 downcase) ; O with diaeresis
  (set-case-syntax 215 "_" downcase)	; multiplication sign
  (set-case-syntax-pair 216 248 downcase) ; R with caron accent
  (set-case-syntax-pair 217 249 downcase) ; U with ring above
  (set-case-syntax-pair 218 250 downcase) ; U with acute accent
  (set-case-syntax-pair 219 251 downcase) ; U with double acute accent
  (set-case-syntax-pair 220 252 downcase) ; U with diaeresis
  (set-case-syntax-pair 221 253 downcase) ; Y with acute accent
  (set-case-syntax-pair 222 254 downcase) ; T with cedilla
  (set-case-syntax 223 "w" downcase)	; small sharp s, German
  (set-case-syntax 247 "_" downcase)	; division sign
  (set-case-syntax 255 "w" downcase)	; dot above
  (set-standard-case-table (list downcase nil nil nil)))
